Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05893 Graphics Minor Always Mar 25, 2015, 08:50 20 days ago
Tester ange View Status Public Platform MAME (Official Binary)
Assigned To ywy Resolution Fixed OS
Status [?] Resolved Driver
Version 0.159 Fixed in Version 0.266 Build
Fixed in Git Commit 563b63f Github Pull Request # #11811
Summary 05893: elvactr: Missing floor darkening when lighting is destroyed
Description Elevator Actions Returns doesn't darken the floors when the lighting is destroyed (compare with
)
Steps To Reproduce play normally first level, shoot lighting ==> the floor should go dark.
Additional Information minor glitch, but it's been like this for a long time...
Github Commit
Flags
Regression Version
Affected Sets / Systems elvactr
Attached Files
 
Relationships
duplicate of 02002Resolvedywy  elvactr and clones: Shooting lights doesn't make the room go dark 
Notes
5
User avatar
No.11538
Tafoid
Administrator
Mar 25, 2015, 12:30
Rather surprised the whole driver isn't labeled as having incorrect graphics.
Confirmed lack of floors going dark based on comparison to video
User avatar
No.11539
BPzeBanshee
Tester
Mar 26, 2015, 14:38
Shmupmame had this fixed ages ago but I dont remember if it was done the "right" way or with hacks. Might be worth looking into considering how long the official driver's had the issue though.
User avatar
No.11540
Tafoid
Administrator
Mar 26, 2015, 20:00
There are numerous issues with Taito_F3 games and graphics across the whole driver. I suspect it needs a solid rewrite as most of it was done in the early days of MAME and has suffered over time from neglect as the bar was moved regarding source changes.
User avatar
No.11548
Augusto
Tester
Mar 29, 2015, 17:55
The issue also happen in old MAME versions.
User avatar
No.22114
ywy
Tester
22 days ago
fixed by ywy in https://github.com/mamedev/mame/pull/11811